GET
/access-preview/{accessPreviewId}#analyzerArn
http://access-analyzer.{region}.amazonaws.com/access-preview/{accessPreviewId}#analyzerArnRetrieves information about an access preview for the specified analyzer.
Access Token Required: API Key
Path Parameters
accessPreviewIdstringrequired
The unique ID for the access preview.
Query Params
analyzerArnstringrequired
The <a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/access-analyzer-getting-started.html#permission-resources">ARN of the analyzer</a> used to generate the access preview.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://access-analyzer.{region}.amazonaws.com/access-preview/{accessPreviewId}#analyzerArn' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}